Package org.drinkless.tdlib

# Class TdApi.GetPaymentForm

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PaymentForm>
org.drinkless.tdlib.TdApi.GetPaymentForm

Enclosing class:
  `TdApi`

public static class TdApi.GetPaymentForm extends TdApi.Function<TdApi.PaymentForm>
Returns an invoice payment form. This method must be called when the user presses inline button of the type inlineKeyboardButtonTypeBuy, or wants to buy access to media in a messagePaidMedia message.

Returns `PaymentForm`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputInvoice`
  `inputInvoice`
  The invoice.
  `TdApi.ThemeParameters`
  `theme`
  Preferred payment form theme; pass null to use the default theme.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPaymentForm()`
  Default constructor for a function, which returns an invoice payment form.
  `GetPaymentForm(TdApi.InputInvoice inputInvoice, TdApi.ThemeParameters theme)`
  Creates a function, which returns an invoice payment form.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inputInvoice

    public TdApi.InputInvoice inputInvoice
    The invoice.

  - ### theme

    public TdApi.ThemeParameters theme
    Preferred payment form theme; pass null to use the default theme.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetPaymentForm

    public GetPaymentForm()
    Default constructor for a function, which returns an invoice payment form. This method must be called when the user presses inline button of the type inlineKeyboardButtonTypeBuy, or wants to buy access to media in a messagePaidMedia message.

    Returns `PaymentForm`

  - ### GetPaymentForm

    public GetPaymentForm(TdApi.InputInvoice inputInvoice, TdApi.ThemeParameters theme)
    Creates a function, which returns an invoice payment form. This method must be called when the user presses inline button of the type inlineKeyboardButtonTypeBuy, or wants to buy access to media in a messagePaidMedia message.

    Returns `PaymentForm`

    Parameters:
      `inputInvoice` - The invoice.
      `theme` - Preferred payment form theme; pass null to use the default theme.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PaymentForm>`
    Returns:
      this.CONSTRUCTOR